#pragma once

#include <cstdint>

namespace freling {

struct BoundingBox {
    uint32_t left;
    uint32_t top;
    uint32_t right;
    uint32_t bottom;

    int width() const;
    int height() const;
    int area() const;

    bool operator==(const BoundingBox& b) const;
};

}  // namespace freling
