#include "bounding_box.h"

namespace freling {

int BoundingBox::width() const {
    return right - left;
}

int BoundingBox::height() const {
    return bottom - top;
}

int BoundingBox::area() const {
    return width() * height();
}

bool BoundingBox::operator==(const BoundingBox& b) const {
    return left == b.left and top == b.top and right == b.right and
           bottom == b.bottom;
}

}  // namespace freling
