#pragma once

#include <optional>
#include <vector>

#include "bounding_box.h"
#include "frame.h"

namespace freling {

std::optional<Frame> pack(const Frame& in_frame,
                          const std::vector<BoundingBox>& bboxes);

}
